import math
import lineListDraw as lld


def line1(l):
    x1= l[0]
    y1= l[1]
    x2= l[2]
    y2= l[3]
    
    xr1= x1+ (1/5)*(x2-x1)
    yr1= y1+ (1/5)*(y2-y1)
    xr2= x1+ (1/2)*(x2-x1)- (math.sqrt(7)/9)*(y2-y1)
    yr2= y1+ (1/2)*(y2-y1)+ (math.sqrt(7)/9)*(x2-x1)
    
    return (xr1,yr1,xr2,yr2)

def line2(l):
    x1= l[0]
    y1= l[1]
    x2= l[2]
    y2= l[3]
    
    xr1= x1+ (1/2)*(x2-x1)- (math.sqrt(7)/9)*(y2-y1)
    yr1= y1+ (1/2)*(y2-y1)+ (math.sqrt(7)/9)*(x2-x1)
    xr2= x1+ (4/5)*(x2-x1)
    yr2= y1+ (4/5)*(y2-y1)
    
    return (xr1,yr1,xr2,yr2)


def listSublines(l):
    lst_l=[]
    
    lst_l.append(line1(l))
    lst_l.append(line2(l))
    
    return lst_l


def generateListSublines(lst):
    r_lst= []
    
    for l in lst:
        r_lst= r_lst+ listSublines(l)
        
    return r_lst
    
def fractale(n,l) :
    resL= []
    tmpL= []
    iL= []
    
    resL.append(l)
    iL.append(l)
    
    for i in range(0,n):        
        tmpL= generateListSublines(iL)
        resL= resL+tmpL
        iL= tmpL

    return resL

f= int(input("niveau? "))
line= (50,10,750,10)
lld.drawLineList(fractale(f,line))

